# PhasicFlow: src/phasicFlow/triSurface/subSurface.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

subSurface.hpp File Reference
Include dependency graph for subSurface.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | subSurface

## Namespaces

| pFlow

## Typedefs

using | subSurfaceList = List< subSurface >

## Functions

iOstream & | operator<< (iOstream &str, const subSurface &sub)
iIstream & | operator>> (iIstream &str, subSurface &sub)